org.apache.xmlbeans.impl.xb.xmlconfig.impl

## Class NamespaceListImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlUnionImpl
    - - org.apache.xmlbeans.impl.xb.xmlconfig.impl.NamespaceListImpl

All Implemented Interfaces:
  Serializable, TypeStoreUser, NamespaceList, NamespaceList.Member, NamespaceList.Member2, SimpleValue, XmlAnySimpleType, XmlNormalizedString, XmlObject, XmlString, XmlToken, XmlTokenSource

    public class NamespaceListImpl
    extends XmlUnionImpl
    implements NamespaceList, NamespaceList.Member, NamespaceList.Member2

An XML namespaceList(@http://xml.apache.org/xmlbeans/2004/02/xbean/config). This is a union type. Instances are of one of the following types: org.apache.xmlbeans.impl.xb.xmlconfig.NamespaceList$Member org.apache.xmlbeans.impl.xb.xmlconfig.NamespaceList$Member2

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `NamespaceListImpl.MemberImpl` An anonymous inner XML type.
`static class` `NamespaceListImpl.MemberImpl2` An anonymous inner XML type.

### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.xmlconfig.NamespaceList

`NamespaceList.Member, NamespaceList.Member2`

### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.xmlconfig.NamespaceList.Member

`NamespaceList.Member.Enum`

### Nested classes/interfaces inherited from interface org.apache.xmlbeans.impl.xb.xmlconfig.NamespaceList.Member2

`NamespaceList.Member2.Item`

### Field Summary

### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

### Fields inherited from interface org.apache.xmlbeans.impl.xb.xmlconfig.NamespaceList

`Factory, type`

### Fields inherited from interface org.apache.xmlbeans.impl.xb.xmlconfig.NamespaceList.Member

`ANY, Factory, INT_ANY, type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Fields inherited from interface org.apache.xmlbeans.impl.xb.xmlconfig.NamespaceList.Member2

`Factory, type`

### Constructor Summary

Constructors
`` `NamespaceListImpl(SchemaType sType)`
`protected` `NamespaceListImpl(SchemaType sType, boolean b)`

### Method Summary

### Methods inherited from class org.apache.xmlbeans.impl.values.XmlUnionImpl

`compute_text, equal_to, get_wscanon_rule, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getQNameValue, getShortValue, getStringValue, instanceType, is_defaultable_ws, schemaType, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_nil, set_QName, set_short, set_text, set_xmldate, set_xmldatetime, set_xmldecimal, set_xmldouble, set_xmlduration, set_xmlfloat, set_xmlgday, set_xmlgmonth, set_xmlgmonthday, set_xmlgyear, set_xmlgyearmonth, set_xmltime, validate_simpleval, value_hash_code, xgetListValue`

### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

`_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_text, get_default_attribute_value, get_default_element_text, get_element_ending_delimiters, get_element_type, get_elementflags, get_schema_type, get_store, get_wscanon_text, getBooleanArray, getBooleanArray, getByteArray, getByteArray, getDomNode, getDoubleArray, getDoubleArray, getEnumArray, getEnumArray, getFloatArray, getFloatArray, getIntArray, getIntArray, getLongArray, getLongArray, getObjectArray, getObjectArray, getObjectValue, getShortArray, getShortArray, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_child_element_order_sensitive, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, new_visitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_char, set_ComplexXml, set_newValue, set_notation, set_String, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, update_from_complex_content, uses_invalidate_value, validate_now, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xmlText, xmlText`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xmlconfig.NamespaceList

`getObjectValue, instanceType, setObjectValue`

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xmlconfig.NamespaceList.Member

`getEnumValue, setEnumValue`

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xmlconfig.NamespaceList.Member2

`getListValue, setListValue, xgetListValue`

### Constructor Detail

#### NamespaceListImpl

    public NamespaceListImpl(SchemaType sType)

#### NamespaceListImpl

    protected NamespaceListImpl(SchemaType sType,
                                boolean b)